
Figure - 开发 Dev #110638
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

【MK】【008】【BOOT】主任务
2022-07-25 10:58 - CD TPM-申艳艳

Status: 解决 Resolved Start date: 2022-07-25

Priority: Normal Due date: 2022-12-15

Assignee: CD TPM-王祥林 % Done: 70%

Category: BSP Estimated time: 12.00 hours

Target version:

Description

Boot的主任务，详细参见子任务

Subtasks:

开发 Dev # 110639: 【MK】【008】【BOOT】【TC-RID: 1201-0100801】启动相关设置 完成 Closed

开发 Dev # 110640: 【MK】【008】【BOOT】【TC-RID: 1201-0100803】分区相关配置 完成 Closed

开发 Dev # 110641: 【MK】【008】【BOOT】【TC-RID: 1201-0100804】fasboot功能设置 完成 Closed

开发 Dev # 110642: 【MK】【008】【BOOT】【TC-RID: 0301-0100805】recovery... 解决 Resolved

开发 Dev # 112096: 【MK】【008】【BOOT】【TC-RID:1200-0100806】Board ID 完成 Closed

开发 Dev # 112216: 【MK】【008】【BOOT】【TC-RID:1200-0102602】user root 完成 Closed

开发 Dev # 113210: 【MK】【008】【BOOT】【TC-RID: 0301-0100805】基线升级conf... 完成 Closed

开发 Dev # 113211: 【MK】【008】【BOOT】【TC-RID:1201-0100801】SXR基线配套XB... 完成 Closed

开发 Dev # 112372: 【MK】【008】【BOOT】【TC-RID: 1201-0100801】Security... 进行中 In Progress

开发 Dev # 113212: 【MK】【008】【BOOT】【TC-RID:1200-0100806】交付SDK 保留中 Pending

开发 Dev # 111031: 【MK】【023】【BUT】【TC-RID:  1200-0102304】添加Androi... 完成 Closed

开发 Dev # 114187: 【MK】【008】【BOOT】【TC-RID: 1201-0100803】创建工厂分支 进行中 In Progress

开发 Dev # 118394: 【MK】【008】【BOOT】【TC-RID: 1201-0100702】Selinux错误处理 New

History

#1 - 2022-07-25 12:08 - CD TPM-申艳艳

- Parent task changed from #110600 to #110125

#2 - 2022-08-02 14:23 - SZ TPM-罗云进

- Assignee changed from SZ TPM-罗云进 to SZ 系统-张丽果

#3 - 2022-08-08 10:05 - SZ 系统-张丽果

- Status changed from New to 解决 Resolved

已经可以正常启动

#4 - 2022-09-22 19:40 - SZ TPM-罗云进

- Assignee changed from SZ 系统-张丽果 to CD BSP-杜磊

#5 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140082 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com
BOOT: Power Create dt for QCS8250 without PM8150b1. add msm-id=481 for QCS8250;2. add dt for board without PM8150b;3. set gpio for vbus detect;4.

modify default display setting for bootup;5. Compatible with whether or not board with PM8150b;Test result:ok;TC-RID: 0301-0100801IssueID:

TS-R-DF-110638Change-Id: Ic940c99f4c1a13f58dd4e630fd6e5662852391bc

#6 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140084 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BOOT:USB use gpio for vbus detectuse gpio for vbus detect and switch roles,this modify is for board without PM8150b;Test result:ok;Change-Id:

I3ca5a16d4dc69b748dbbf967cbbc6cce3515c926TC-RID: 0301-0100801IssueID: TS-R-DF-110638

#7 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140086 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BOOT: System disable SPU&Strongboxkeymaster will cause system cannot bootup,so disable SPU&Strongbox;Test result:ok;Change-Id:

I5c46630ad282c5e919acdfb143f47e7495675c6bTC-RID: 0301-0100801IssueID: TS-R-DF-110638

#8 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140090 general/common Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com
BOOT: System disable SPU&Strongboxkeymaster will cause system cannot bootup,so disable SPU&Strongbox;Test result:ok;Change-Id:

I646db51c19c58e62ebc575744a410cbcae6c39c6TC-RID: 0301-0100801IssueID: TS-R-DF-110638

#9 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140256 general/platform/vendor/qcom/kona Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BOOT：System disable SPU&Strongboxkeymaster will cause system cannot bootup,so disable SPU&Strongbox;Test result:ok;Change-Id:

I87e4b0f3c6bdbfac3f2392aff494fbe41920ba51TC-RID: 0301-0100801IssueID: TS-R-DF-110638

#10 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140258 general/platform/vendor/qcom-opens

ource/core-utils

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BOOT: System  disable SPU&Strongboxkeymaster will cause system cannot bootup,so disable SPU&Strongbox;Test result:ok;Change-Id:

Ia6dad5c31d47af12cce82cccab2aeb2f28d87d5aTC-RID: 0301-0100801IssueID: TS-R-DF-110638

#11 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140474 general/platform/vendor/qcom/kona Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BOOT: System disable SPU&Strongboxkeymaster will cause system cannot bootup,so disable SPU&Strongbox;Test result:ok;Change-Id:

Ib2e270faf856f0d2ec72c37d41394459df55b6dbTC-RID: 0301-0100801IssueID: TS-R-DF-110638
#12 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140475 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BOOT: System disable SPU&Strongboxkeymaster will cause system cannot bootup,so disable SPU&Strongbox;Test result:ok;Change-Id:

Ie68897e4cac957e525af8849e2483454ecb668edTC-RID: 0301-0100801IssueID: TS-R-DF-110638

#13 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140551 general/common Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BOOT: Fixed BP update errorRemove unwanted images;Test result:ok;Change-Id: I756e4a234a2c0a047dbdc0b1b97dd513df8a4d58TC-RID:

0301-0100801IssueID: TS-R-DF-110638

#14 - 2022-12-22 20:22 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141440 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BSP:ABL:set fake battery voltage for nopimc boardIf no pmic, it will fail when detection battery voltage;Test result:ok;Change-Id:

I5f9a675eb4872b800c3723b88ed0fda513a9dbd5TC-RID: 0301-0100801IssueID: TS-R-DF-110638

#15 - 2022-12-22 20:22 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141845 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

yunjin.luo@thundercomm.com
Revert "BSP:ABL:set fake battery voltage for nopimc board" If no pmic, it will fail when detection battery voltage;Test result:ok;Change-Id:

I102c635880fa8df0015e0f18ae2314799e62c14cTC-RID: 0301-0100801IssueID: TS-R-DF-11063

#16 - 2022-12-22 20:22 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141879 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BSP:ABL:Fixed failure to boot upWifiMac&BtMac string size alculation error,causing CmdLineLen < real-size;Test result:ok;Change-Id:

I6cb9a3bcb9b096bf4d927a35cbcacecd45fbbe66TC-RID: 0301-0100801IssueID: TS-R-DF-110638

#17 - 2022-12-22 20:22 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141880 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

liguo.zhang@thundercomm.com

BSP:ABL:Ignore BatteryVoltageCheckIf no pmic, it will fail when detection battery voltage;Test result:ok;Change-Id:

I33e4f05678e9881aacb837951cf01583868463b9TC-RID: 0301-0100801IssueID: TS-R-DF-110638

#18 - 2023-05-11 11:02 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林
